Package org.apache.groovy.swing.binding

# Class ClosureTriggerBinding

java.lang.Object
org.apache.groovy.swing.binding.ClosureTriggerBinding

All Implemented Interfaces:
  `SourceBinding`, `TriggerBinding`

public class ClosureTriggerBinding extends Object implements TriggerBinding, SourceBinding

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClosureTriggerBinding(Map<String,TriggerBinding> syntheticBindings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FullBinding`
  `createBinding(SourceBinding source, TargetBinding target)`
  `Closure`
  `getClosure()`
  `Object`
  `getSourceValue()`
  `void`
  `setClosure(Closure closure)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClosureTriggerBinding

    public ClosureTriggerBinding(Map<String,TriggerBinding> syntheticBindings)

- ## Method Details

  - ### getClosure

    public Closure getClosure()

  - ### setClosure

    public void setClosure(Closure closure)

  - ### createBinding

    public FullBinding createBinding(SourceBinding source, TargetBinding target)
    Specified by:
      `createBinding` in interface `TriggerBinding`

  - ### getSourceValue

    public Object getSourceValue()
    Specified by:
      `getSourceValue` in interface `SourceBinding`